%define libc 6
Summary: routing daemon - this version does RIP, OSPF (rfc1247), HELLO, EGP & BGP, and also IDRP
Name: gated
Version: 3.5.9
Copyright: distributable/mixed - see http://www.gated.org/
Group: Networking/Daemons
Source0: ftp://ftp.gated.org/net-research/gated/gated-3-5-9.tar.gz
Source1: gated-3.5.9-linux.init
Source2: gated-3-5-9-gated.conf
Patch0: gated-3-5-9-glibc.patch
Patch1: gated-3-5-9-linux.patch
Patch2: gated-3-5-9-config.patch
Patch3: gated-3-5-9-ospfvirtlink.patch
Buildroot: /var/tmp/gated-3.5.9
#%if libc 6
Release: 200
Prereq: /sbin/chkconfig
#%else
#Release 100
#%endif
Url: http://www.gated.org/

%package config
Summary: Configuration files for gated
Group: Networking/Daemons

%description 
Gated is a routing daemon that is available for free use.  This
program supports a number of popular routing protocols,
distance-vector and link-state.  These include inter-domain (EGP and
BGP), intra-domain (RIP, HELLO, and OSPF), and the router discovery
protocol (IRDP). The gated process can be configured to perform all
routing protocols or a subset of them. It is currently maintained by
Merit.

%description config
Configuration files for gated. This is split from the main distribution so 
that gated can be upgraded without wiping out working configuration files
which are quite critical in a routing setup.

%prep

%setup -n gated-3-5-9
%patch0 -p1						
%patch1 -p1
%patch2 -p1
%patch3 -p1
cd src
mkdir obj.`util/archtype`
cp configs/linux-2.0 obj.`util/archtype`/Config

%build
cd src
make config
make

%install
%ifos Linux
extra=rc.d
%endif
/bin/rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/var
mkdir -p $RPM_BUILD_ROOT/var/gated
make DESTDIR=$RPM_BUILD_ROOT install
make MANDIR=$RPM_BUILD_ROOT/usr/man install-man
#
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc0.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc1.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc2.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc3.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc4.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc5.d
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -m 0750 $RPM_SOURCE_DIR/gated-3.5.9-linux.init \
	$RPM_BUILD_ROOT/etc/rc.d/init.d/gated

install -m 0660 -o root -g wheel $RPM_SOURCE_DIR/gated-3-5-9-gated.conf $RPM_BUILD_ROOT/etc/gated.conf
#%if libc < 6
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K75gated
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K75gated
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S32gated
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S32gated
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S32gated
#ln -sf ../init.d/gated $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K75gated
#%endif

#%if libc = 6
%post
/sbin/ldconfig
chkconfig --add gated

%preun
if [ $1 = 0 ] ; then
        chkconfig --del gated
fi
#%endif

%files
%doc Acknowledgements BUGS CHANGES CHANGES.1 Consortium_Agreeemnt Copyright 
%doc Copyright.ISIS Copyright.OSPF INSTALL ISIS-config.ps Licensing README
%doc README.bgp README.make RELEASE TODO 
%doc conf doc src/configs/linux-README
%config /etc/rc.d/init.d/gated
/usr/man/man8/gated.8
/usr/man/man8/gdc.8
/usr/man/man8/ospf_monitor.8
/usr/man/man8/ripquery.8
%dir /var/gated
/usr/bin/gdc
/usr/bin/ospf_monitor
/usr/bin/ripquery
/usr/sbin/gated
#%if libc < 6
#/etc/rc.d/rc0.d/K75gated
#/etc/rc.d/rc1.d/K75gated
#/etc/rc.d/rc2.d/S32gated
#/etc/rc.d/rc3.d/S32gated
#/etc/rc.d/rc5.d/S32gated
#/etc/rc.d/rc6.d/K75gated
#%endif

%files config
%config /etc/gated.conf

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat May 9 1998 Matthew Grant <grantma@anathoth.gen.nz>
- upgraded to 3.5.9
- patched for OSPF virtual link bug
- integrated with Red Hat gated, includes enhanced configs over the Redhat ones, and enable protocols
  that should have been enabled.


